# sc::IntegralLink Class Reference

List of all members.

## Public Member Functions

| IntegralLink (IntegralKey &key, int cost, int size)
int | actualsize () const
int | hash () const
int | cost () const
void | print ()
double * | buffer ()
void * | operator new (size_t, int)
void | operator delete (void *, int)
void | operator delete (void *)

## Static Public Member Functions

static int | size_to_actualsize (int size)
static int | shells_to_hash (int, int, int, int)

## Public Attributes

EAVLMMapNode< IntegralKey, IntegralLink > | intlist
EAVLMMapNode< int, IntegralLink > | costlist
int | size

The documentation for this class was generated from the following file:

- intv3/storage.h